std::__detail::_Scanner_base Struct Reference
Base and Implementation Classes
Inheritance diagram for std::__detail::_Scanner_base:
[legend]

## Public Types

typedef unsigned int | _StateT

## Static Public Attributes

static constexpr _StateT | _S_state_at_start
static constexpr _StateT | _S_state_in_brace
static constexpr _StateT | _S_state_in_bracket

## Detailed Description

Base class for scanner.

Definition at line 43 of file regex_compiler.h.

The documentation for this struct was generated from the following file:

- regex_compiler.h